%undefine __libtoolize
%define objprelink 0

Summary:   Cyrillic text decoder
Name:      ktextdecode
Version:   3.0
Release:   alt5
Copyright: GPL
Url:       http://zavolzhsky.dax.ru/programs.html
Group:     Office
Source0:    %name-%version.tar.bz2
Packager: Yehuda Ben-Yosef <ilar@altlinux.ru>

# Automatically added by buildreq on Sun Jun 13 2004
BuildRequires: XFree86-devel-static XFree86-libs fontconfig freetype2 gcc-c++ glibc-devel-static
BuildRequires: kde-settings kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel
BuildRequires: libstdc++-devel-static zlib-devel
%if %objprelink
BuildRequires: objprelink
%endif

%description
Cyrillic text decoder is just the simple text
conversion utility with support for the following
decode types:
- Dos text file -> Unix text file
- Unix text file -> Dos text file
- Windows text file -> Unix text file
- Unix text file -> Windows text file
- ISO8859-5 text file -> Unix text file
- Unix text file -> ISO8859-5 text file

%prep
%setup -q

%build
%__subst 's,\.la\>,.so,' configure
%configure \
	--disable-rpath \
	--disable-static \
	--enable-shared \
	--disable-debug 

%if %objprelink
%make_build CXX=g++prelink
%else
%make_build
%endif

%install
make DESTDIR=%buildroot install

%set_verify_elf_method relaxed

#create menu
mkdir -p %buildroot%_menudir
kdedesktop2mdkmenu.pl %name Office %buildroot%_datadir/applnk/Applications/%name.desktop %buildroot%_menudir/%name

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_iconsdir/*
%_menudir/%name
%_datadir/applnk/Applications/*.desktop

%changelog
* Sun Jun 13 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 3.0-alt5
- fix requires

* Tue Jan 27 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 3.0-alt4
- fix builrequires

* Fri Dec 12 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 3.0-alt3
- rebuilding without *.la

* Wed Oct 1 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 3.0-alt2
- new buildrequires and rebuilding in hasher

* Fri Nov 22 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 3.0-alt1
- 3.0
